# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "hiera-eyaml-gpg"
  s.version = "0.5"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Simon Hildrew"]
  s.date = "2015-03-21"
  s.description = "GPG encryptor for use with hiera-eyaml"
  s.files = [".gitignore", "Gemfile", "LICENSE", "README.md", "Rakefile", "hiera-eyaml-gpg.gemspec", "lib/hiera/backend/eyaml/encryptors/gpg.rb", "lib/hiera/backend/eyaml/encryptors/gpg/eyaml_init.rb", "lib/hiera/backend/eyaml/encryptors/gpg/version.rb", "tools/regem.sh"]
  s.homepage = "http://github.com/sihil/hiera-eyaml-gpg"
  s.licenses = ["MIT"]
  s.require_paths = ["lib"]
  s.rubygems_version = "2.0.14"
  s.summary = "Encryption plugin for hiera-eyaml backend for Hiera"

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<hiera-eyaml>, [">= 1.3.8"])
    else
      s.add_dependency(%q<hiera-eyaml>, [">= 1.3.8"])
    end
  else
    s.add_dependency(%q<hiera-eyaml>, [">= 1.3.8"])
  end
end

